Subject: bug#73744: 26.1; Feature: helpful message from global-set-key giving Lisp

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Oct 2024 18:36:55 +0300

[Please use Reply All to reply, to keep the bug tracker CC'ed.]

> From: Edward Avis <[email-masked]>
> Date: Fri, 11 Oct 2024 13:32:56 +0000
> 
> >You should be able to see the Lisp expression by typing "C-x z".
> 
> That doesn't work for me; when I do
> 
>    M-x global-set-key RET
>    C-c v
>    find-file-at-point RET
>    C-x z
> 
> then it prints in the minibuffer
> 
>     Set key globally:
> 
> in other words it is executing the global-set-key a second time.
> Which is what I would have expected for C-x z (or M-x repeat).
> In the *Messages* buffer it prints
> 
>    Repeating command global-set-key
> 
> but doesn't print the Lisp expression.

Not here.  What I see in the echo-area after "C-x z" is this:

  Repeating (global-set-key "^Cv" 'find-file)

I guess this was changed since Emacs 26.1 you are using.